SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
DataStructures::Heap< weight_type, data_type, isMaxHeap >::HeapNode Struct Reference

`#include <slikenet/DS_Heap.h>`

## Public Member Functions

| HeapNode ()
| HeapNode (const weight_type &w, const data_type &d)

## Public Attributes

weight_type | weight
data_type | data

## Detailed Description

### template<class weight_type, class data_type, bool isMaxHeap>
struct DataStructures::Heap< weight_type, data_type, isMaxHeap >::HeapNode

Definition at line 43 of file DS_Heap.h.

## Constructor & Destructor Documentation

template<class weight_type, class data_type, bool isMaxHeap>

DataStructures::Heap< weight_type, data_type, isMaxHeap >::HeapNode::HeapNode | ( |  | ) |

inline

Definition at line 45 of file DS_Heap.h.

template<class weight_type, class data_type, bool isMaxHeap>

DataStructures::Heap< weight_type, data_type, isMaxHeap >::HeapNode::HeapNode | ( | const weight_type & | w,
|  | const data_type & | d
| ) |  |

inline

Definition at line 46 of file DS_Heap.h.

## Member Data Documentation

template<class weight_type, class data_type, bool isMaxHeap>

data_type DataStructures::Heap< weight_type, data_type, isMaxHeap >::HeapNode::data

Definition at line 48 of file DS_Heap.h.

template<class weight_type, class data_type, bool isMaxHeap>

weight_type DataStructures::Heap< weight_type, data_type, isMaxHeap >::HeapNode::weight

Definition at line 47 of file DS_Heap.h.

The documentation for this struct was generated from the following file:

- Source/include/slikenet/DS_Heap.h